List users
List users of your PagerDuty account, optionally filtered by a search query.
Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account.
For more information see the API Concepts Document
Scoped OAuth requires: users.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
Filters the result, showing only the records whose name matches the query.
An array of team IDs. Only results related to these teams will be returned. Account must have the teams ability to use this parameter.
The number of results per page.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseArray of additional Models to include in response.
Value in
- "contact_methods"
- "notification_rules"
- "teams"
- "subdomains"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
List audit records for a user GET
The response will include audit records with changes that are made to the identified user not changes made by the identified user. The returned records are sorted by the `execution_time` from newest to oldest. See [`Cursor-based pagination`](https://developer.pagerduty.com/docs/rest-api-v2/pagination/) for instructions on how to paginate through the result set. For more information see the [Audit API Document](https://developer.pagerduty.com/docs/rest-api-v2/audit-records-api/). Scoped OAuth requires: `audit_records.read`
Regenerate a user's calendar feed URL key POST
Regenerate the private URL key used to construct a user's personal iCal calendar feed URLs (`http_cal_url` and `web_cal_url`). The old key is immediately invalidated; callers should update any stored feed subscriptions with the new key. A user may only regenerate their own key. Account admins may regenerate on behalf of any user. The calendar feed URLs act as bearer credentials: anyone with the URL can read that user's on-call calendar without further authentication. Rotate the key here whenever a URL may have been exposed (for example, if it was shared outside the intended audience or if an admin with `can_update_user` retrieved it via `GET /users/{id}?include[]=calendar_urls`). Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#users) Scoped OAuth requires: `users.write`